"use strict";
function generateGUID() {
    function s4() {
        return Math.floor((1 + Math.random()) * 0x10000)
            .toString(16)
            .substring(1);
    }
    return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
        s4() + '-' + s4() + s4() + s4();
}
exports.generateGUID = generateGUID;
var BaseMultipleController = (function () {
    function BaseMultipleController(userFactory, $window, itemsUrl) {
        this.userFactory = userFactory;
        this.$window = $window;
        this.itemsUrl = itemsUrl;
        this.loading = true;
        this.eventDetailFocused = false;
        this.eventCreateFocused = false;
        this.itemId = undefined;
        this.items = [];
        this.PAGE_SIZE = 100;
        this.listenerGUID = generateGUID();
        this.itemId = '';
    }
    BaseMultipleController.prototype.loadMore = function () {
        var _this = this;
        this.loading = true;
        this.userFactory.httpServerCall(this.itemsUrl, 'GET', {
            limit: this.PAGE_SIZE,
            skip: this.items.length
        }, function (response) {
            _this.loading = false;
            var nItems = response.data;
            for (var i = 0; i < nItems.length; ++i) {
                _this.items.push(nItems[i]);
            }
        }, function (error) {
            console.log(error);
            _this.loading = false;
        });
    };
    BaseMultipleController.prototype.selectItem = function (id) {
        if (this.mode === 'router') {
            this.$window.location.assign('/#/' + this.baseName + '/' + id);
        }
        else if (this.mode == 'substitute') {
            this.eventDetailFocused = true;
            this.itemId = id;
        }
    };
    BaseMultipleController.prototype.create = function (route) {
        if (this.mode === 'substitute')
            this.eventCreateFocused = true;
        else if (this.mode === 'router') {
            this.$window.location.href = route;
        }
    };
    return BaseMultipleController;
}());
BaseMultipleController.controllerName = 'Base_Item_Multiple_Controller';
BaseMultipleController.$inject = ['UserFactory', '$window'];
exports.BaseMultipleController = BaseMultipleController;
BaseMultipleController.$inject.push(BaseMultipleController);
//# sourceMappingURL=controller.js.map